@if (componentData) {
  <span class="label-color txt__semi-bold">
    {{
      'sqtm-core.administration-workspace.servers.ai.payload-template'
        | translate
    }}
  </span>
  <div class="m-y-10">
    <sqtm-core-editable-text-area-field
      [attr.data-test-field-id]="'ai-server-model-configuration'"
      [value]="componentData.aiServer.payloadTemplate"
      (confirmEvent)="updatePayload($event)"
      [placeholder]="'sqtm-core.generic.editable.placeholder' | translate"
      [textareaRows]="10"
      [monospaceFont]="true"
    >
    </sqtm-core-editable-text-area-field>
  </div>
  <div class="m-t-15">
    <span class="label-color txt__semi-bold">
      {{
        'sqtm-core.administration-workspace.servers.ai.json-path' | translate
      }}
    </span>
  </div>
  <div class="m-10">
    <sqtm-core-editable-text-field
      [attr.data-test-field-id]="'ai-server-jsonpath'"
      [layout]="'compact'"
      [value]="componentData.aiServer.jsonPath"
      (confirmEvent)="updateJsonPath($event)"
      (click)="this.$wrongJsonFormat.set(false)"
    >
    </sqtm-core-editable-text-field>
  </div>
  @if ($wrongJsonFormat()) {
    <span class="sqtm-core-error-message m-x-5">
      {{
        'sqtm-core.exception.artificial-intelligence.server.wrong-jsonpath-format'
          | translate
      }}
    </span>
  }
}
